# std::_Select2nd< _Pair > Struct Template Reference

Inheritance diagram for std::_Select2nd< _Pair >:

List of all members.

## Detailed Description

### template<class _Pair>
struct std::_Select2nd< _Pair >

Definition at line 555 of file stl_function.h.

## Public Types

- typedef _Pair argument_type
- typedef _Pair::second_type result_type

## Public Member Functions

- const _Pair::second_type & operator() (const _Pair &__x) const
- _Pair::second_type & operator() (_Pair &__x) const

## Member Typedef Documentation

typedef _Pair std::unary_function< _Pair , _Pair::second_type >::argument_type `[inherited]`

`argument_type` is the type of the

Definition at line 104 of file stl_function.h.

typedef _Pair::second_type std::unary_function< _Pair , _Pair::second_type >::result_type `[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h